import request from '@/utils/request'

// 查询品类属性组中间列表
export function listCategory_attribute_group(query) {
  return request({
    url: '/product/category_attribute_group/list',
    method: 'get',
    params: query
  })
}

// 查询品类属性组中间详细
export function getCategory_attribute_group(id) {
  return request({
    url: '/product/category_attribute_group/' + id,
    method: 'get'
  })
}

// 新增品类属性组中间
export function addCategory_attribute_group(data) {
  return request({
    url: '/product/category_attribute_group',
    method: 'post',
    data: data
  })
}

// 修改品类属性组中间
export function updateCategory_attribute_group(data) {
  return request({
    url: '/product/category_attribute_group',
    method: 'put',
    data: data
  })
}

// 删除品类属性组中间
export function delCategory_attribute_group(id) {
  return request({
    url: '/product/category_attribute_group/' + id,
    method: 'delete'
  })
}
